Mass delete only works with default values on Special:Nuke
Closed, ResolvedPublic

Description

Hi, using the Special:Nuke page to mass delete doesn't consider the filled fields, namely "Username, IP address or blank", "Pattern for the page name", "Limit to namespace", "Maximum number of pages", but only the default values (all namespaces, last 500 pages).

This might be related to [[T154276]].

Bug noticed on itwiki and commonswiki.

Steps to reproduce it:

  1. go to Special:Nuke (e.g. https://commons.wikimedia.org/wiki/Special:Nuke)
  2. insert "Limit to namespace: User talk"
  3. insert "Maximum number of pages: 5"
  4. click on "List pages" button.

Instead of showing the last 5 user talk pages, it will list the last 500 pages created.
Thanks

Ruthven created this task.Jan 24 2017, 9:09 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 24 2017, 9:09 AM

Change 337039 had a related patch set uploaded (by Ladsgroup):
Update callers to convey OOUI

https://gerrit.wikimedia.org/r/337039

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptFeb 10 2017, 4:13 PM

It was my fault. Sorry.

Change 337039 merged by jenkins-bot:
Update callers to conform with OOUI

https://gerrit.wikimedia.org/r/337039

Ladsgroup moved this task from Incoming to Done on the User-Ladsgroup board.Feb 10 2017, 4:38 PM

Change 337076 had a related patch set uploaded (by Ladsgroup):
Update callers to conform with OOUI

https://gerrit.wikimedia.org/r/337076

Change 337076 merged by jenkins-bot:
Update callers to conform with OOUI

https://gerrit.wikimedia.org/r/337076

Mentioned in SAL (#wikimedia-operations) [2017-02-10T21:02:58Z] <Amir1> ladsgroup@tin:/srv/mediawiki-staging$ scap sync-file php-1.29.0-wmf.11/extensions/Nuke/Nuke_body.php '[[gerrit:337076]] Fixing Special:Nuke (T156112, T156949, T156314)'

Mentioned in SAL (#wikimedia-operations) [2017-02-10T21:03:05Z] <ladsgroup@tin> Synchronized php-1.29.0-wmf.11/extensions/Nuke/Nuke_body.php: [[gerrit:337076]] Fixing Special:Nuke (T156112, T156949, T156314) (duration: 00m 58s)

Ladsgroup closed this task as Resolved.Feb 10 2017, 9:06 PM